package com.neusoft.smart.pos.member.persistent.mapper;

import com.neusoft.smart.pos.member.persistent.domain.MemberCardRelation;
import com.neusoft.smart.pos.member.persistent.domain.MemberCardRelationExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Mapper
@Component
public interface MemberCardRelationMapper {
    int countByExample(MemberCardRelationExample example);

    int deleteByExample(MemberCardRelationExample example);

    int deleteByPrimaryKey(Integer relationId);

    int insert(MemberCardRelation record);

    int insertSelective(MemberCardRelation record);

    List<MemberCardRelation> selectByExample(MemberCardRelationExample example);

    MemberCardRelation selectByPrimaryKey(Integer relationId);

    int updateByExampleSelective(@Param("record") MemberCardRelation record, @Param("example") MemberCardRelationExample example);

    int updateByExample(@Param("record") MemberCardRelation record, @Param("example") MemberCardRelationExample example);

    int updateByPrimaryKeySelective(MemberCardRelation record);

    int updateByPrimaryKey(MemberCardRelation record);

    void batchInsert(@Param("items") List<MemberCardRelation> items);
}